Skip to main content
`Ctrl`+`K`

# STSetKSP

Sets the `KSP` object associated with the spectral transformation.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetKSP(ST st,KSP ksp)

Collective

## Input Parameters

- st - the spectral transformation context

- ksp - the linear solver context

## See Also

ST: Spectral Transformation, `STGetKSP()`

## Level

advanced

## Location

src/sys/classes/st/interface/stsles.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages